Bug 749654 - selector widget: if there are more than the maximum available records in the DB, there is no way to view the remaining records for selectors that do not provide any filter fields
selector widget: if there are more than the maximum available records in the ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
Unspecified Unspecified
medium Severity high (vote)
: ---
: ---
Assigned To: Ian Springer
Mike Foley
:
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2011-10-27 15:42 EDT by Ian Springer
Modified: 2013-08-05 20:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:29:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-10-27 15:42:45 EDT
There are four selector impls that do not provide any filter fields:

- RoleSubjectSelector
- SystemUsersNotificationSenderForm$SubjectSelector
- SubjectRoleSelector
- SystemRolesNotificationSenderForm$RoleSelector
Comment 1 Ian Springer 2011-10-27 15:49:27 EDT
[master 4d78975] (http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=4d78975) provides a stop-gap workaround for RHQ 4.2. We simply override getMaxAvailableRecords() in the four selectors with no filters and return 500, rather than the default of 100, i.e.:

        @Override
        protected int getMaxAvailableRecords() {
            return 500;
        }

The permanent and more robust fix for JON 3.0 will be to add one or more filters to each of the four selectors.
Comment 2 Mike Foley 2011-10-27 16:06:04 EDT
info on verification ....

RoleSubjectSelector and SubjectRoleSelector are on the pages where you add users to roles and roles to users  so around the workflow of adding an RHQ user
Comment 3 Mike Foley 2011-10-27 16:08:20 EDT
SystemUsersNotificationSenderForm$SubjectSelector and SystemRolesNotificationSenderForm$RoleSelector would be for when you are setting up email notifications from an alert and you went to send emails to either a particular user or all the users in a particular role
Comment 4 Mike Foley 2011-10-28 11:08:44 EDT
verified RHQ master 10/28/2011:

1) create roles
2) create users
3) alert notification with email notification to system user
4) alert notification with email notification to system role
Comment 5 Mike Foley 2012-02-07 14:29:37 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE
Comment 6 Mike Foley 2012-02-07 14:30:18 EST
marking VERIFIED BZs to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.